
function E0090()
    if(InitMap()) then
        return;
    end
    MNA()CMU("CS_Jenka")FAI(0)
end
function E0091()
    if(InitMap()) then
        return;
    end
    MNA()CMU("CS_Jenka")FAI(1)
end
function E0092()
    if(InitMap()) then
        return;
    end
    MNA()CMU("CS_Jenka")FAI(2)
end
function E0093()
    if(InitMap()) then
        return;
    end
    MNA()CMU("CS_Jenka")FAI(3)
end
function E0094()
    if(InitMap()) then
        return;
    end
    MNA()CMU("CS_Jenka")FAI(4)
end

function InitMap()
    if(FLJ("UnderPathBlockClash")) then
        CMP("cmpLayer_1","mainLayer")
    else
        if(FLJ("JackSantaGo")) then
            --地形崩塌
            KEY()
            HMC()
            FAI(0)
            WAI(32)
            --杰克出现
            SMC(0)
            WAI(32)
            AMC("walk",1,0)
            WAI(16)
            AMC("normal",1,0)
            WAI(16)
            AMC("normal",0,0)
            WAI(16)
            SLR(0,1)
            SMC(1)
            WAI(32)
            SLR(1,1)
            WAI(32)
            --地形崩塌
            CMP("cmpLayer_1","mainLayer","CS_pe_smoke")
            SOU("CS_071_little_crash")
            WAI(16)
            WAS()
            SOU("CS_071_little_crash")
            AMC("smoke")
            AMC("lie")
            WAI(64)
            AMC("normal","CS_mychar_santa")
            WAI(32)
            MS3("\n你没事吧？")NOD()CLR()
            FAC("jack_><")CAT("\n还好。")NOD()CLO()
            WAI(16)
            AMC("normal","CS_mychar_jack")
            WAI(32)
            AMC("back","CS_mychar_santa")
            WAI(32)
            AMC("back","CS_mychar_jack")
            MS3("\n这下我们暂时回不去了。")NOD()CLR()
            AMC("normal","CS_mychar_jack")
            FAC("jack_normal")CAT("不过")
            CAT("\n不找到她们我们也不会回去的，")NOD()
            CAT("\n既然如此还是赶快出发吧...")NOD()CLR()
            AMC("normal","CS_mychar_santa")
            FAC()CAT("\n也是~")NOD()
            FLP("UnderPathBlockClash")
            FLP("First_GoUnderPath_RiverEntrance")
            FLP("First_GoPeaceTown")
            return true;
        end
    end
    return false;
end

function GoUnderPath_Damp_DownSide()
    PRI()FAO(2)TRA("CS_underpath_damp","E0092",9,20)
end

function GoUnderPath_Damp_UpSide()
    PRI()FAO(0)TRA("CS_underpath_damp","E0090",32,6)
end

--生命胶囊
function PathLifeCapsule2()
    PRI()SOU("CS_022_chest_open")CMU("CS_Fanfale2")DNP("PathLifeCapsule2")FLP("PathLifeCapsule2")
    MS4("获得了 =生命胶囊= ！")WAI(160)NOD()RMU()
    MLP(5)
    CAT("\n生命值的上限增加了 5 点！")NOD()
end

function GoUnderPath_RiverEntrance()
    if(FLJ("JackSantaGo")) then
        if(FLJ("First_GoUnderPath_RiverEntrance")) then
            KEY()
            WAI(16)
            MS3("\n我好像听到了湍流声...")NOD()CLR()
            FAC("jack_><")CAT("那也没办法了，")NOD()
            CAT("\n要从这里出去只能往这走了...")NOD()CLR()
            CAT("\n做好心理准备吧。")NOD()CLO()
            FLS("First_GoUnderPath_RiverEntrance")
        end
    end
    PRI()FAO(2)TRA("CS_underpath_river_entrance","E0090",13,0)
end